%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.45

Summary : KUPS - A CUPS administrator
Name: kups
Version: 0.6.5
Release: 6
Group: Applications/Publishing
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Patch: kups-0.6.5-cups11.patch
Patch1: kups-0.6.5-nonroot.patch
URL: http://cups.sourceforge.net/
Requires: qt1x >= 1.45, kdelibs, cups >= 1.0
BuildPrereq: qt1x-devel >= 1.45, kdelibs-devel, cups-devel >= 1.0
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
KUPS is a CUPS administrator that lets you:
- add/edit/remove printers in CUPS
- add/pause/remove jobs
- edit CUPS properties

%prep
%setup -q
%patch -p1 -b .cups11
%patch1 -p1 -b .nonroot
autoconf
touch `find . -type f`

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT

make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- fix to built against compat-libstdc++

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs++-1.1.2
- clean up specfile
- fix configure.in, disable cups daemons

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- move to powertools

* Sat Jun 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm for Red Hat Linux; changes from base:
- fix up interoperability with cups 1.1
- fix configure as non-root
